# norootforbuild
%define pkg_name    memcached
%define pkg_version 2.1.0
%define php_version %(php-config --version 2>/dev/null)
#
Name:		php5-memcached
Version:	%{pkg_version}
Release:	2.1
#
License:	PHP
Group:		Productivity/Networking/Web/Servers
#
BuildRoot:	%{_tmppath}/%{pkg_name}-%{version}-build
BuildRequires:	php5-devel libmemcached libmemcached-devel gcc gcc-c++
Requires:	php5 = %{php_version}
#
URL:		http://pecl.php.net/
Source:		http://pecl.php.net/package/%{pkg_name}/%{pkg_name}-%{version}.tgz
Summary:	Extension uses libmemcached lib for communicating with memcached servers

%description
This extension uses libmemcached library to provide API for communicating with memcached servers.
			
Authors:
---------

	Andrei Zmievski	

%debug_package

%prep
%setup -n %{pkg_name}-%{version}

%{__mkdir} %{name}

%build
/usr/bin/phpize
pushd %{name}

CFLAGS="%{optflags} -fno-strict-aliasing"
CXXFLAGS="%{optflags} -fno-strict-aliasing"
%if 0%{?suse_version} > 1000
CFLAGS="$CFLAGS -fstack-protector"
CXXFLAGS="$CXXFLAGS -fstack-protector"
%endif

export CFLAGS
export CXXFLAGS

../configure --with-memcached=%{_usr} --with-libdir=%{_lib} --with-libmemcached-dir=%{_prefix}

%{__make} %{?jobs:-j%jobs}
popd

%install
%makeinstall -C %{name} INSTALL_ROOT=%{buildroot}
%{__mkdir} -p %{buildroot}%{_sysconfdir}/php5/conf.d
echo "; comment out next line to disable memcached extension in php" > %{buildroot}%{_sysconfdir}/php5/conf.d/memcached.ini
echo "extension = memcached.so" >> %{buildroot}%{_sysconfdir}/php5/conf.d/memcached.ini


%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{_libdir}/php5/extensions/memcached.so
%config(noreplace) %{_sysconfdir}/php5/conf.d/memcached.ini

%doc CREDITS

%changelog
* Sun Feb 17 2013 Carsten Schoene <cs@linux-administrator.com> - 2.1.0-1
- update to release 2.1.0

* Wed May 05 2010 Carsten Schoene <cs@linux-administrator.com> - 1.0.2-1
- update to release 1.0.2

* Tue Mar 09 2010 Carsten Schoene <cs@linux-administrator.com> - 1.0.1-1
- update to release 1.0.1

* Wed Jul 07 2009 Carsten Schoene <cs@linux-administrator.com> - 1.0.0-1
- update to release 1.0.0
* Fri Jun 05 2009 Carsten Schoene <cs@linux-administrator.com>
- update to release 0.2.0
* Tue Mar 31 2009 Carsten Schoene <cs@linux-administrator.com>
- update to release 0.1.5
* Tue Feb 17 2009 Carsten Schoene <cs@linux-administrator.com>
- update to release 0.1.4
* Fri Feb 06 2009 Carsten Schoene <cs@linux-administrator.com>
- update to release 0.1.2 & 0.1.3
* Tue Feb 03 2009 Carsten Schoene <cs@linux-administrator.com>
- update to release 0.1.1
* Sat Jan 31 2009 Carsten Schoene <cs@linux-administrator.com>
- initial build version 0.1.0
